<?php
       
//faq
           function faqShortcode($isHome = 0) {
            global $query;

            $args = array('post_type' => 'our-faq');

            if (!empty($pageId)) {
                $args['page_id'] = absint($pageId);
            } else {
                $args['paged'] = max(1, get_query_var('paged'));
            }

            if(!empty($isHome) && $isHome == 1){
                $cols = get_theme_mod('faq_section_npp_count', 5);
                $cols++;
                $args['posts_per_page'] = $cols;
            }else{
                $args['posts_per_page'] = (!empty($args['posts_per_page'])) ? $args['posts_per_page'] : -1;
         // $cols = 5;
            }
            $faqPageId = get_theme_mod('faq_section_page_link');
            $query = new WP_Query($args);

            ob_start();?>
        
        <div class=" faqrhsbx " >   
           
            <?php
    // print_r($query);
            echo '<div class="faq row mr-0">';
            if ($query->have_posts()){
                while ($query->have_posts()) : $query->the_post();
                $post = get_post();
                //$count_posts = $query->current_post + 01;
            ?>

            <div class=" faq-content col-lg-12 ">            
                <button class="accordion"> 
                    <h3 class="faq-title"> <i class="fa fa-arrow-right"></i> <?php the_title(); ?></h3>
                </button>
                <div class="panel">
                    <div class="faq-description"> 
                        <p><?php
                           if(!empty($isHome) && $isHome==1){
                            if (has_excerpt()) {
                                echo get_the_excerpt();
                            } else {
                                    //echo luzuk_excerpt(get_the_content(),300);
                               echo get_the_content();
                           }
                                    // if(!empty($faqPageId)){
                                    //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                    // }else{
                                    //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                    // }
                           }else{
                            echo get_the_content();
                            }?>  
                        </p>
                    </div>
                </div>
            </div>       
        <!-- </div> -->
    <?php
endwhile;
}else{
    for($i=0; $i<$cols; $i++){
        ?>
        <!-- <div class="row"> -->
            <div class="col-md-12 faq-content">
                <h6 class="faq-title">Lorem Ipsum is simply dummy text of the printing and typesetting industry?</h6>
                <div class="faq-description">
                    <p><?php
                    if(!empty($isHome) && $isHome==1){
                        ?>
                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.
                        <br>
                        <?php
                                // if(!empty($faqPageId)){
                                //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                // }else{
                                //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                // }
                    }else{
                        ?>
                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.

                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.
                        <?php
                    }?>
                </p>
            </div>  
        </div>
    <!-- </div> -->
    <?php   
}
}
echo '</div>';

?> 
<!-- </div> -->
 
    <div class="clearfix"></div>
 
<script>
    var acc = document.getElementsByClassName("accordion");
    var i;

    for (i = 0; i < acc.length; i++) {
        acc[i].onclick = function(){
            this.classList.toggle("active");
            this.nextElementSibling.classList.toggle("show");
        }
    }
</script>

<?php
$text = ob_get_contents();
ob_clean();
ob_end_flush();
wp_reset_postdata();
    // echo $text;
return $text;
}


//team
// ****
function teamShortCode($pageId = null, $isCustomizer = false, $i = null) { 

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('team_area_npp_count1', 15);
    $cols++;
    switch($cols){
        case 1:
        $colCls = 'col-lg-12 col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-lg-4 col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-4 col-sm-6';
        break;
    } 

    // } 
 $text = '';
 $query = new WP_Query($args);
 if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
        $team_area_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        if ($isCustomizer === true) {
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
           // $team_area_linkedin = get_theme_mod('team_area_linkedin' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
            $team_area_pinterest = get_theme_mod('team_area_pinterest' . $i);
        } else {
            $team_area_facebook = '';
            $team_area_twitter = '';
           // $team_area_linkedin = '';
            $team_area_instagram = '';
            $team_area_pinterest = '';
            $team_area_designation = '';
        }

        $post = get_post();
    //Social media urls
        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

        //$teamlinkedIn = get_post_meta($post->ID, 'teamlinkedIn', false);
        //$team_area_linkedin = !empty($teamlinkedIn[0]) ? $teamlinkedIn[0] : '';

        $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
        $team_area_pinterest = !empty($teamPinterest[0]) ? $teamPinterest[0] : '';

    //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

        ?>
        <!-- <div class="<?php echo $colCls;?> single-team"> -->
        <div class="item single-team">
            <div class="our-team">
                <div class="single-team-img">
                    <?php if ($team_area_facebook || $team_area_twitter || $team_area_instagram || $team_area_pinterest) { ?>
                    <div class="team-social-icon">
                        <?php if ($team_area_facebook) { ?>
                        <a target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                            <i class="fa fa-facebook"></i></a>
                        <?php } ?>
                        <?php if ($team_area_twitter) { ?>
                            <a target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                        <?php } ?>
                        <?php if ($team_area_instagram) { ?>
                            <a target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a> 
                        <?php } ?>
                           <?php if ($team_area_pinterest) { ?>
                            <a target="_blank" href="<?php echo esc_url($team_area_pinterest) ?>"><i class="fa fa-pinterest"></i></a>
                            <?php } ?>
                         <!--  <//?php if ($team_area_linkedin) { ?>
                            <a target="_blank" href="<//?php echo esc_url($team_area_linkedin) ?>" ><i class="fa fa-linkedin"></i></a> 
                        <//?php } ?> -->
                    </div>
                    <?php } ?>

                    <?php
                        if (has_post_thumbnail()) {
                            $image_url = $team_area_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/team-thumb.png';
                        }
                    ?>                  
                    <img src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />               

                    <div class="team-text">
                        <h4 class="inner-area-title wow fadeInLeft" ><?php the_title(); ?></h4> 
                         <?php if($team_area_designation ){ ?>      
                        <div class="team-designation wow fadeInLeft"> <?php echo ($team_area_designation); ?> </div>
                        <?php }?>
                        <div class="clearfix"></div>   
                    </div>
                </div>
                <div class="clearfix"></div>
            </div> 
        </div>

           <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}


//team Inner Page


/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author luzuk <support@luzuk.com>
 * */


// testimonial img
function testimonialimgShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 5);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        $post = get_post();

            if (($postN % 3) == 0 && $isCustomizer == false) {
                ?>
                <!-- <div class="clearfix"></div> -->
            <!-- </div> -->
            <!-- <div class="row"> -->
                <?php
            }
            ++$postN;
            ?>
            <div class="card" data-id="content<?php echo $i; ?>">
               <img src="<?php echo (!empty($luzuk_image[0])) ? $luzuk_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                      
            </div>
    
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 5);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        $post = get_post();

            if (($postN % 3) == 0 && $isCustomizer == false) {
                ?>
                <!-- <div class="clearfix"></div> -->
            <!-- </div> -->
            <!-- <div class="row"> -->
                <?php
            }
            ++$postN;
            ?>
             <div class="contentBox " id="content<?php echo $i; ?>">
                <div class="text">  
                    <p><?php
                        if (has_excerpt()) {
                            echo get_the_excerpt();
                        } else {
                            echo get_the_content();
                        }
                        ?>   </p>
                    <div class="detailbx">
                        <h3 class="ts-area-title"><?php the_title(); ?></h3>
                        <div class="text-designation">
                             <?php
                                $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                echo (!empty($name2[0])) ? $name2[0] : '';
                            ?> 
                        </div>
                    </div>
                </div>
            </div>
    
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}


// **************************

/*services*/
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',3);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-lg-12 col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-lg-4 col-md-6 col-sm-6';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();

        $service_icon = get_post_meta(get_the_ID(), '_service_icon', true);
        
        ?>
        <div class="<?php echo $colCls; ?> single-service-bx "> 
        <!-- <div class="item single-service-bx ">  -->
            <div class="single-service" >
                <div class="service-icon">
                    <a href="<?php the_permalink(); ?>">
                    <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                        }
                    ?>                                                        
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        <div class="ser-oly"></div>
                    
                        <div class="sertxbx">
                            <div class="row mr-0">      
                                <div class="icn"> 
                                    <i class="<?php echo $service_icon; ?>"></i>          
                                    <!-- <i class="</?php echo $services_page_icon1; ?>"></i>     -->
                                </div>                          
                                <h4 class="post-title inner-area-title "><?php the_title(); ?></h4>
                            </div>
                            <p class="section-area-text">
                                <?php

                                    if(has_excerpt()){
                                      echo get_the_excerpt();
                                     }else{
                                      echo luzuk_excerpt( get_the_content() , 80 );
                                     } 
                                ?>
                            </p>
                            <!-- <?php
                                $ser_button1 = get_theme_mod('ser_button1', 'View More');
                            ?>
                            <?php if($ser_button1) { ?>
                                <div class="serbtn">  
                                    <a href="<?php echo esc_url(get_permalink()); ?>">
                                        <span><?php echo ($ser_button1);  ?></span>                                 
                                    </a>
                                </div> 
                            <?php }?> -->
                        </div> 
                    </a>
                </div> 
                    
            </div> 
        </div>
            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}

// service innerpage {shortcode}
/*services*/

/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return void
 * @author luzuk <support@luzuk.com>
 * */
    function pricingShortcode() {
      ob_start();
      $cols = get_theme_mod('pricing_npp_count', 2);
      $cols++;
      switch ($cols) {
        case 1:
            $colCls = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';
            break;
            case 2: 
            $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
            break;
            case 3:
            case 5:
            case 6:
            case 9:
            case 11:
            case 13:
            case 15:
            $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
            break;
            default: 
            $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
            break;
    }

    $showStatic = true;
    for ($i = 1; $i <= $cols; $i++) {
        $PlanPageId = get_theme_mod('pricing_plan_page_' . $i);
        $pricing_page_icon = get_theme_mod('pricing_plan_page_icon_'.$i);
        $planTitle  = get_theme_mod('pricing_plan_name_' . $i, 'Standard Plan ');
        $priceTitle  = get_theme_mod('pricing_priceTitle_' . $i, 'Price ');
        $planPrice  = get_theme_mod('pricing_plan_price_' . $i,'$250');
        $planday  = get_theme_mod('pricing_plan_day_' . $i,'/hour');
        $planContent= get_theme_mod('pricing_plan_content_' . $i, '
            <li>All Basic Plan Services</li>
            <li>Carpentry & Painting</li>
            <li>Door & Window Installation</li>
            <li>Light Fixture Installation</li>');

        $link = get_theme_mod('pricing_plan_url'.$i);
        $url = get_theme_mod('pricing_plan_url_'.$i, '#');

        if ($PlanPageId || $planTitle || $priceTitle  || $planday || $planContent || $url || $pricing_page_icon) {
          $showStatic = false;
          ?>

        <div class="<?php echo $colCls; ?> sm-bx">
            <div class="single-pricing  ">
                <div class="pr-s-area">
                <?php if($planTitle){ ?>
                    <h4 class="plan-title inner-area-title" > <?php echo ($planTitle); ?> </h4>
                 <?php } ?>
                <!-- <div class="titlebx"> -->
                    <h5 class="pricetitle"> <?php echo ($priceTitle); ?></h5>
                    <h2 class="currency-price"><?php echo ($planPrice); ?><span><?php echo ($planday); ?></span></h2>
                <!-- </div> -->
                </div>
                <ul class="pricing-list "> <?php echo ($planContent); ?></ul>
            
                <?php
                    $pricing_page_id = get_theme_mod('pricing_page');
                    $pricing_page_button_title = get_theme_mod('pricing_page_button_title_'.$i, 'Buy Now');
                ?>
                <?php if($pricing_page_button_title){ ?>
                    <div class="pc-btn " data-wow-duration="4s">    
                        <a class="btn btn-lg" href="<?php echo esc_url(!empty($url)?$url:'#');?>">
                           <?php echo ($pricing_page_button_title);  ?>
                        </a>
                    </div>
                <?php } ?>
          
            </div>
        </div>
    <?php
}
}
if ($showStatic === true) {
  for ($i = 1; $i <= $cols; $i++) {
    $link = get_theme_mod('pricing_plan_url'.$i);
    $url = get_theme_mod('pricing_plan_url_'.$i, '#');

    ?>

<?php
}

}

$pricingHtml = ob_get_contents();
        // echo $pricingHtml;
ob_flush();
ob_clean();
}


// **************************
// ======projects =========
// **************************

function projectShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();
     global $post;
    $args = array('post_type' => 'our-projects');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('project_npp_count',3);  
    $projects_page_icon1 = get_theme_mod('projects_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-lg-12 col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-lg-4 col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-4 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
               global $post;

                $image_id  = get_post_meta( $post->ID, 'second_featured_image', true );
                $image_src = wp_get_attachment_url( $image_id );
              
                //   if ($isCustomizer === true) {
                //         $projtsubttle = get_theme_mod('projtsubttle' . $i);
                //     } else {
                //         $projtsubttle = '';
                //     }
                // $post = get_post();
                // $projtsubttle = get_post_meta($post->ID, 'projtsubttle', false);
                //echo the_post_thumbnail( 'project-featured-thumbnail' );
                // $projt_area = !empty($projtsubttle[0]) ? $projtsubttle[0] : '';
                // $projectsNum = get_post_meta($post->ID, 'projectsNum', false);
                //$projects_Num = !empty($projectsNum[0]) ? $projectsNum[0] : '';
            ?>
                 
                
        <div class="<?php echo $colCls;?> single-project-bx">
            <div class="single-project ">
                <div class="project-icon">
                   <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/project.png';
                        }
                    ?>
                            
                    <a href="<?php the_permalink(); ?>">
                        <div class="project-img">    
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <div class="pj_oly"></div>
                            <div class="pj_conbx">
                                <div class="row mr-0">
                                    <div class="pj_con">
                                        <h3 class="title"><?php the_title(); ?></h3>                                   
                                        <div class="txt">
                                        <?php
                                            if(has_excerpt()){
                                              echo get_the_excerpt();
                                             }else{
                                              echo luzuk_excerpt( get_the_content() , 40 );
                                            } 
                                        ?>       
                                        </div>
                                    </div>
                                    <div class="bttn">
                                        <div class="icn">
                                            <i class="fa fa-link"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>                   
                        </div> 
                    </a>     
                </div>
                <div class="clearfix"></div>
            </div>    
        </div>

        <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }



//projectpage

// ==========================
/*********gallery************/ 
// ==========================

function galleryShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();

    $args = array(
        'post_type' => 'our-gallery',
        'posts_per_page' => -1,
    );

    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }

    $query = new WP_Query($args);
    if ($query->have_posts()):

    ?>
        
    <div class="gallery-items gallery-sec">
        <?php 
        while ($query->have_posts()): 
            $query->the_post();
            
            // Get terms of the current post
            $terms = wp_get_post_terms(get_the_ID(), 'gallery_category');
            $term_ids = wp_list_pluck($terms, 'term_id'); // Get array of term IDs

            // Generate classes for the gallery item based on its categories
            $class_list = '';
            foreach ($term_ids as $id) {
                $class_list .= 'category-' . esc_attr($id) . ' ';
            }

            // Check if the post has a featured image
            if (has_post_thumbnail()) {
                $image_url = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb')[0];
            } else {
                // Fallback image URL if no featured image is set
                $image_url = get_template_directory_uri() . '/images/about1.jpg';
            }
        ?>
        <div class="lz-gallery-images">
            <figure class="spa-gall">
                <div class="gallery-item <?php echo trim($class_list); ?>">
                    <a data-fancybox="gallery" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">  
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        <figcaption></figcaption>
                    </a>
                </div>
            </figure>
        </div>
        <?php endwhile; ?>
    </div>
        
    <?php
    wp_reset_postdata();
    endif;

    $text = ob_get_clean();
    return $text;
}


// * *


